# Class CutHpStatBoostAttr

Base class defining all Move Effect Attributes

#### See

`apply`

#### Hierarchy (view full)

- StatChangeAttr
  - CutHpStatBoostAttr

- Defined in src/data/move.ts:2370

#####
Index

### Constructors

constructor

### Properties

cutRatio
firstHitOnly
levels
selfTarget
stats
trigger

### Methods

apply
canApply
getCondition
getFailedText
getLevels
getTargetBenefitScore
getUserBenefitScore

## Constructors

### constructor

- new CutHpStatBoostAttr(stat, levels, cutRatio): CutHpStatBoostAttr

- #### Parameters

  - stat: BattleStat | BattleStat []
  - levels: number
  - cutRatio: number

  #### Returns CutHpStatBoostAttr

  Overrides StatChangeAttr.constructor

  - Defined in src/data/move.ts:2373

## Properties

### `Private` cutRatio

cutRatio: number

- Defined in src/data/move.ts:2371

### firstHitOnly

firstHitOnly: boolean

Should this effect only apply on the first hit?

Inherited from StatChangeAttr.firstHitOnly

- Defined in src/data/move.ts:795

### levels

levels: number

Inherited from StatChangeAttr.levels

- Defined in src/data/move.ts:2213

### selfTarget

selfTarget: boolean

Should this `Move` target the user?

Inherited from StatChangeAttr.selfTarget

- Defined in src/data/move.ts:718

### stats

stats: BattleStat []

Inherited from StatChangeAttr.stats

- Defined in src/data/move.ts:2212

### trigger

trigger: MoveEffectTrigger

Defines when this effect should trigger in the move's effect order

#### See

MoveEffectPhase.start

Inherited from StatChangeAttr.trigger

- Defined in src/data/move.ts:793

## Methods

### apply

- apply(user, target, move, args): Promise<boolean>

- Applies move effects so long as they are able based on `canApply`

  #### Parameters

  - user: default
  - target: default
  - move: default
  - args: any[]

  #### Returns Promise<boolean>

  Overrides StatChangeAttr.apply

  - Defined in src/data/move.ts:2379

### canApply

- canApply(user, target, move, args): boolean

- Determines whether the `Move`'s effects are valid to `apply`

  #### Parameters

  - user: default

    `Pokemon` using the move

  - target: default

    `Pokemon` target of the move

  - move: default

    `Move` with this attribute

  - args: any[]

    Set of unique arguments needed by this attribute

  #### Returns boolean

  true if basic application of the ability attribute should be possible

  Inherited from StatChangeAttr.canApply

  - Defined in src/data/move.ts:812

### getCondition

- getCondition(): MoveConditionFunc

- #### Returns MoveConditionFunc

  the `MoveCondition` or MoveConditionFunc for this `Move`

  Overrides StatChangeAttr.getCondition

  - Defined in src/data/move.ts:2392

### getFailedText

- getFailedText(user, target, move, cancelled): string

- #### Parameters

  - user: default

    `Pokemon` using the move

  - target: default

    `Pokemon` target of the move

  - move: default

    `Move` with this attribute

  - cancelled: BooleanHolder

    `Utils.BooleanHolder` which stores if the move should fail

  #### Returns string

  the string representing failure of this `Move`

  Inherited from StatChangeAttr.getFailedText

  - Defined in src/data/move.ts:754

### getLevels

- getLevels(_user): number

- #### Parameters

  - _user: default

  #### Returns number

  Inherited from StatChangeAttr.getLevels

  - Defined in src/data/move.ts:2241

### getTargetBenefitScore

- getTargetBenefitScore(user, target, move): number

- Used by the Enemy AI to rank an attack based on a given target

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  #### See

  `EnemyPokemon.getNextMove`

  Inherited from StatChangeAttr.getTargetBenefitScore

  - Defined in src/data/move.ts:2245

### getUserBenefitScore

- getUserBenefitScore(user, target, move): number

- Used by the Enemy AI to rank an attack based on a given user

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  #### See

  `EnemyPokemon.getNextMove`

  Inherited from StatChangeAttr.getUserBenefitScore

  - Defined in src/data/move.ts:763